Axiomatic

API Keys

Create and manage API keys for programmatic access. Keys are shown in full only once at creation. All key lifecycle events are logged to the control plane audit trail.

Pass the key via the x-api-key header:

curl https://app.axiomatic.software/api/entities \
  -H "x-api-key: ax_live_..."

List API keys for the current user

GET
/api/api-keys
x-api-key<token>

API key for programmatic access

In: header

Response Body

application/json

application/json

curl -X GET "https://app.axiomatic.software/api/api-keys"
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "prefix": "string",
    "lastUsedAt": "2019-08-24T14:15:22Z",
    "expiresAt": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z"
  }
]
{
  "error": "string"
}

Create or revoke an API key

POST
/api/api-keys
x-api-key<token>

API key for programmatic access

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://app.axiomatic.software/api/api-keys" \  -H "Content-Type: application/json" \  -d '{    "action": "create",    "name": "string"  }'
{}
{
  "error": "string"
}
{
  "error": "string"
}